Skip to main content

Macro

GET /macros

Get all macros

Retrieves a list of all macros available in the Foundry world.

Parameters

NameTypeRequiredSourceDescription
clientIdstringqueryClient ID for the Foundry world
userIdstringquery, bodyFoundry user ID or username to scope permissions (omit for GM-level access)

Returns

array - An array of macros with details

Try It Out


POST /macro/:uuid/execute

Execute a macro by UUID

Executes a specific macro in the Foundry world by its UUID.

Parameters

NameTypeRequiredSourceDescription
uuidstringparamsUUID of the macro to execute
clientIdstringqueryClient ID for the Foundry world
argsobjectbodyOptional arguments to pass to the macro execution
userIdstringquery, bodyFoundry user ID or username to scope permissions (omit for GM-level access)

Returns

object - Result of the macro execution

Try It Out